Bug 253033

Summary: Crash when uploading songs on iPod [@ CollectionTreeView::copyTracks]
Product: [Applications] amarok Reporter: Petar Petrov <marokanski.kazak>
Component: Collection BrowserAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED WAITINGFORINFO    
Severity: crash CC: 123kash, andresbajotierra, axalendre.beovt, cphayes0882, gbrunetjailly, lorentz.julien, neimless, richie.morrisroe, steve.doc.brown, stuffcorpse, teuf, tom, toxicdoom420, trlanzi
Priority: NOR    
Version: 2.3.2   
Target Milestone: 2.4.0   
Platform: openSUSE   
OS: Linux   
Latest Commit: Version Fixed In: 2.4
Attachments: New crash information added by DrKonqi

Description Petar Petrov 2010-10-02 16:55:00 UTC
Application: amarok (2.3.2)
KDE Platform Version: 4.5.1 (KDE 4.5.1)
Qt Version: 4.7.0
Operating System: Linux 2.6.34.7-0.3-default i686
Distribution: "openSUSE 11.3 (i586)"

-- Information about the crash:
- What I was doing when the application crashed:

Amarok crashed when i tried to upload some songs on my iPod Nano 4G. The first few times it worked but after that it crashed a few times. The crashes are always after i start copying but not every time i do it.

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb21a9710 (LWP 5200))]

Thread 25 (Thread 0xae50cb70 (LWP 5202)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310452 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0xb56d02a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf80b1d7 in metronom_sync_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0xae50cb70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 24 (Thread 0xadd0bb70 (LWP 5203)):
#0  0xb40c222b in clock_gettime (clock_id=1, tp=0xadd0b030) at ../sysdeps/unix/clock_gettime.c:100
#1  0xb5928004 in do_gettime () at tools/qelapsedtimer_unix.cpp:105
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:119
#3  0xb59fb816 in updateCurrentTime (this=0x829f3e4, tm=...) at kernel/qeventdispatcher_unix.cpp:339
#4  QTimerInfoList::timerWait (this=0x829f3e4, tm=...) at kernel/qeventdispatcher_unix.cpp:442
#5  0xb59fa05b in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xadd0b11c) at kernel/qeventdispatcher_glib.cpp:136
#6  0xb59fa0fd in timerSourcePrepare (source=0x829f3b0, timeout=<value optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#7  0xb42c90c0 in IA__g_main_context_prepare (context=0x82253b8, priority=0xadd0b18c) at gmain.c:2280
#8  0xb42c9f22 in g_main_context_iterate (context=0x82253b8, block=1, dispatch=1, self=0x82958d0) at gmain.c:2571
#9  0xb42ca60e in IA__g_main_context_iteration (context=0x82253b8, may_block=1) at gmain.c:2654
#10 0xb59fa8a7 in QEventDispatcherGlib::processEvents (this=0x829f3a0, flags=...) at kernel/qeventdispatcher_glib.cpp:417
#11 0xb59cb40d in QEventLoop::processEvents (this=0xadd0b2b0, flags=...) at kernel/qeventloop.cpp:149
#12 0xb59cb639 in QEventLoop::exec (this=0xadd0b2b0, flags=...) at kernel/qeventloop.cpp:201
#13 0xb58ca689 in QThread::exec (this=0x82127d8) at thread/qthread.cpp:490
#14 0xaf880fa8 in Phonon::Xine::XineThread::run (this=0x82127d8) at /usr/src/debug/phonon-4.4.2/xine/xinethread.cpp:143
#15 0xb58cd27a in QThreadPrivate::start (arg=0x82127d8) at thread/qthread_unix.cpp:266
#16 0xb530bb25 in start_thread (arg=0xadd0bb70) at pthread_create.c:297
#17 0xb56c246e in clone () from /lib/libc.so.6

Thread 23 (Thread 0xad500b70 (LWP 5206)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb56b775e in poll () from /lib/libc.so.6
#2  0xad50504c in ao_alsa_handle_event_thread () from /usr/lib/xine/plugins/1.29/xineplug_ao_out_alsa.so
#3  0xb530bb25 in start_thread (arg=0xad500b70) at pthread_create.c:297
#4  0xb56c246e in clone () from /lib/libc.so.6

Thread 22 (Thread 0xaccffb70 (LWP 5207)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb56bb0b1 in select () from /lib/libc.so.6
#2  0xaf838318 in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0xaf81d8fc in ao_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0xaccffb70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 21 (Thread 0xac2ffb70 (LWP 5208)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf81e180 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0xac2ffb70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 20 (Thread 0xab8ffb70 (LWP 5209)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf81e180 in ao_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0xab8ffb70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 19 (Thread 0xaa615b70 (LWP 5211)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaac178b6 in os_event_wait_low (event=0x8a38398, reset_sig_count=0) at ../../../storage/innobase/os/os0sync.c:422
#4  0xaac1635b in os_aio_simulated_handle (global_segment=0, message1=0xaa6152ec, message2=0xaa6152e8, type=0xaa6152e4) at ../../../storage/innobase/os/os0file.c:4267
#5  0xaabd26d0 in fil_aio_wait (segment=0) at ../../../storage/innobase/fil/fil0fil.c:4251
#6  0xaac53f80 in io_handler_thread (arg=0xab0f04e0) at ../../../storage/innobase/srv/srv0start.c:435
#7  0xb530bb25 in start_thread (arg=0xaa615b70) at pthread_create.c:297
#8  0xb56c246e in clone () from /lib/libc.so.6

Thread 18 (Thread 0xa8b25b70 (LWP 5212)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaac178b6 in os_event_wait_low (event=0x8a38408, reset_sig_count=0) at ../../../storage/innobase/os/os0sync.c:422
#4  0xaac1635b in os_aio_simulated_handle (global_segment=1, message1=0xa8b252ec, message2=0xa8b252e8, type=0xa8b252e4) at ../../../storage/innobase/os/os0file.c:4267
#5  0xaabd26d0 in fil_aio_wait (segment=1) at ../../../storage/innobase/fil/fil0fil.c:4251
#6  0xaac53f80 in io_handler_thread (arg=0xab0f04e4) at ../../../storage/innobase/srv/srv0start.c:435
#7  0xb530bb25 in start_thread (arg=0xa8b25b70) at pthread_create.c:297
#8  0xb56c246e in clone () from /lib/libc.so.6

Thread 17 (Thread 0xa8324b70 (LWP 5213)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaac178b6 in os_event_wait_low (event=0x8a38478, reset_sig_count=0) at ../../../storage/innobase/os/os0sync.c:422
#4  0xaac1635b in os_aio_simulated_handle (global_segment=2, message1=0xa83242ec, message2=0xa83242e8, type=0xa83242e4) at ../../../storage/innobase/os/os0file.c:4267
#5  0xaabd26d0 in fil_aio_wait (segment=2) at ../../../storage/innobase/fil/fil0fil.c:4251
#6  0xaac53f80 in io_handler_thread (arg=0xab0f04e8) at ../../../storage/innobase/srv/srv0start.c:435
#7  0xb530bb25 in start_thread (arg=0xa8324b70) at pthread_create.c:297
#8  0xb56c246e in clone () from /lib/libc.so.6

Thread 16 (Thread 0xa7b23b70 (LWP 5214)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaac178b6 in os_event_wait_low (event=0x8a384e8, reset_sig_count=0) at ../../../storage/innobase/os/os0sync.c:422
#4  0xaac1635b in os_aio_simulated_handle (global_segment=3, message1=0xa7b232ec, message2=0xa7b232e8, type=0xa7b232e4) at ../../../storage/innobase/os/os0file.c:4267
#5  0xaabd26d0 in fil_aio_wait (segment=3) at ../../../storage/innobase/fil/fil0fil.c:4251
#6  0xaac53f80 in io_handler_thread (arg=0xab0f04ec) at ../../../storage/innobase/srv/srv0start.c:435
#7  0xb530bb25 in start_thread (arg=0xa7b23b70) at pthread_create.c:297
#8  0xb56c246e in clone () from /lib/libc.so.6

Thread 15 (Thread 0xa6692b70 (LWP 5264)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb56bb0b1 in select () from /lib/libc.so.6
#2  0xaac1820b in os_thread_sleep (tm=1000000) at ../../../storage/innobase/os/os0thread.c:281
#3  0xaac52abc in srv_lock_timeout_thread (arg=0x0) at ../../../storage/innobase/srv/srv0srv.c:2087
#4  0xb530bb25 in start_thread (arg=0xa6692b70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 14 (Thread 0xa5e91b70 (LWP 5265)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb56bb0b1 in select () from /lib/libc.so.6
#2  0xaac1820b in os_thread_sleep (tm=1000000) at ../../../storage/innobase/os/os0thread.c:281
#3  0xaac52dee in srv_error_monitor_thread (arg=0x0) at ../../../storage/innobase/srv/srv0srv.c:2241
#4  0xb530bb25 in start_thread (arg=0xa5e91b70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 13 (Thread 0xa5690b70 (LWP 5266)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb56bb0b1 in select () from /lib/libc.so.6
#2  0xaac1820b in os_thread_sleep (tm=5000000) at ../../../storage/innobase/os/os0thread.c:281
#3  0xaac52640 in srv_monitor_thread (arg=<value optimized out>) at ../../../storage/innobase/srv/srv0srv.c:1945
#4  0xb530bb25 in start_thread (arg=0xa5690b70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 12 (Thread 0xa4e8fb70 (LWP 5267)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaac178b6 in os_event_wait_low (event=0x85e0980, reset_sig_count=0) at ../../../storage/innobase/os/os0sync.c:422
#4  0xaac53493 in srv_master_thread (arg=0x0) at ../../../storage/innobase/srv/srv0srv.c:2730
#5  0xb530bb25 in start_thread (arg=0xa4e8fb70) at pthread_create.c:297
#6  0xb56c246e in clone () from /lib/libc.so.6

Thread 11 (Thread 0xa4509b70 (LWP 5290)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb58cd980 in wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4df3056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d4eb58, th=0x8d3beb8) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4df6797 in waitForAvailableJob (this=0x8d3e678, th=0x8d3beb8) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8d3e678, th=0x8d3beb8) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4df2a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8d4eb58, th=0x8d3beb8, previous=0x9156808) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4df3564 in ThreadWeaver::ThreadRunHelper::run (this=0xa4509314, parent=0x8d4eb58, th=0x8d3beb8) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:87
#10 0xb4df361a in ThreadWeaver::Thread::run (this=0x8d3beb8) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:142
#11 0xb58cd27a in QThreadPrivate::start (arg=0x8d3beb8) at thread/qthread_unix.cpp:266
#12 0xb530bb25 in start_thread (arg=0xa4509b70) at pthread_create.c:297
#13 0xb56c246e in clone () from /lib/libc.so.6

Thread 10 (Thread 0xa2fb6b70 (LWP 5325)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb58cd980 in wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4df3056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d4eb58, th=0x91c7898) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4df6797 in waitForAvailableJob (this=0x8d3e678, th=0x91c7898) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8d3e678, th=0x91c7898) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4df2a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8d4eb58, th=0x91c7898, previous=0x92bc8f0) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4df3564 in ThreadWeaver::ThreadRunHelper::run (this=0xa2fb6314, parent=0x8d4eb58, th=0x91c7898) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:87
#10 0xb4df361a in ThreadWeaver::Thread::run (this=0x91c7898) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:142
#11 0xb58cd27a in QThreadPrivate::start (arg=0x91c7898) at thread/qthread_unix.cpp:266
#12 0xb530bb25 in start_thread (arg=0xa2fb6b70) at pthread_create.c:297
#13 0xb56c246e in clone () from /lib/libc.so.6

Thread 9 (Thread 0xa1fb4b70 (LWP 5328)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb58cd980 in wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4df3056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d4eb58, th=0x9071150) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4df6797 in waitForAvailableJob (this=0x8d3e678, th=0x9071150) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8d3e678, th=0x9071150) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4df2a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8d4eb58, th=0x9071150, previous=0x97abc28) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4df3564 in ThreadWeaver::ThreadRunHelper::run (this=0xa1fb4314, parent=0x8d4eb58, th=0x9071150) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:87
#10 0xb4df361a in ThreadWeaver::Thread::run (this=0x9071150) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:142
#11 0xb58cd27a in QThreadPrivate::start (arg=0x9071150) at thread/qthread_unix.cpp:266
#12 0xb530bb25 in start_thread (arg=0xa1fb4b70) at pthread_create.c:297
#13 0xb56c246e in clone () from /lib/libc.so.6

Thread 8 (Thread 0xa17b3b70 (LWP 5329)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb58cd980 in wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:88
#4  QWaitCondition::wait (this=0x8d4eb70, mutex=0x8d3e668, time=4294967295) at thread/qwaitcondition_unix.cpp:160
#5  0xb4df3056 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x8d4eb58, th=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4df6797 in waitForAvailableJob (this=0x8d3e678, th=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:356
#7  ThreadWeaver::WorkingHardState::applyForWork (this=0x8d3e678, th=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WorkingHardState.cpp:71
#8  0xb4df2a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8d4eb58, th=0x9023330, previous=0x0) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:351
#9  0xb4df67b3 in ThreadWeaver::WorkingHardState::applyForWork (this=0x8d3e678, th=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WorkingHardState.cpp:74
#10 0xb4df2a03 in ThreadWeaver::WeaverImpl::applyForWork (this=0x8d4eb58, th=0x9023330, previous=0x965a910) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/WeaverImpl.cpp:351
#11 0xb4df3564 in ThreadWeaver::ThreadRunHelper::run (this=0xa17b3314, parent=0x8d4eb58, th=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:87
#12 0xb4df361a in ThreadWeaver::Thread::run (this=0x9023330) at /usr/src/debug/kdelibs-4.5.1/threadweaver/Weaver/Thread.cpp:142
#13 0xb58cd27a in QThreadPrivate::start (arg=0x9023330) at thread/qthread_unix.cpp:266
#14 0xb530bb25 in start_thread (arg=0xa17b3b70) at pthread_create.c:297
#15 0xb56c246e in clone () from /lib/libc.so.6

Thread 7 (Thread 0x9fe6db70 (LWP 5453)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xb4c23457 in QTWTF::TCMalloc_PageHeap::scavengerThread (this=0xb4d421a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:2359
#4  0xb4c2349f in QTWTF::TCMalloc_PageHeap::runScavengerThread (context=0xb4d421a0) at ../3rdparty/javascriptcore/JavaScriptCore/wtf/FastMalloc.cpp:1464
#5  0xb530bb25 in start_thread (arg=0x9fe6db70) at pthread_create.c:297
#6  0xb56c246e in clone () from /lib/libc.so.6

Thread 6 (Thread 0xa0e77b70 (LWP 9677)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310452 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_timedwait.S:179
#2  0xb56d02a4 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf819f0f in video_out_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0xa0e77b70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 5 (Thread 0xa0676b70 (LWP 9678)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf80f3a4 in fifo_buffer_get () from /usr/lib/libxine.so.1
#4  0xaf815a25 in video_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb530bb25 in start_thread (arg=0xa0676b70) at pthread_create.c:297
#6  0xb56c246e in clone () from /lib/libc.so.6

Thread 4 (Thread 0x9c249b70 (LWP 9679)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf8043e7 in ticket_renew () from /usr/lib/libxine.so.1
#4  0xaf8173f4 in audio_decoder_loop () from /usr/lib/libxine.so.1
#5  0xb530bb25 in start_thread (arg=0x9c249b70) at pthread_create.c:297
#6  0xb56c246e in clone () from /lib/libc.so.6

Thread 3 (Thread 0x9ba48b70 (LWP 9680)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf82127c in listener_loop () from /usr/lib/libxine.so.1
#4  0xb530bb25 in start_thread (arg=0x9ba48b70) at pthread_create.c:297
#5  0xb56c246e in clone () from /lib/libc.so.6

Thread 2 (Thread 0x9b1a9b70 (LWP 10250)):
#0  0xffffe430 in __kernel_vsyscall ()
#1  0xb5310125 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i486/pthread_cond_wait.S:122
#2  0xb56d024c in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/libc.so.6
#3  0xaf80f2b8 in buffer_pool_alloc () from /usr/lib/libxine.so.1
#4  0xa0f986bf in demux_mpgaudio_next () from /usr/lib/xine/plugins/1.29/xineplug_dmx_audio.so
#5  0xa0f99078 in demux_mpgaudio_send_chunk () from /usr/lib/xine/plugins/1.29/xineplug_dmx_audio.so
#6  0xaf826299 in demux_loop () from /usr/lib/libxine.so.1
#7  0xb530bb25 in start_thread (arg=0x9b1a9b70) at pthread_create.c:297
#8  0xb56c246e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb21a9710 (LWP 5200)):
[KCrash Handler]
#7  CollectionTreeView::copyTracks (this=0xbfa0c494, items=..., destination=0x0, removeSources=true) at /usr/src/debug/amarok-2.3.2/src/browsers/CollectionTreeView.cpp:694
#8  0xb69b7c1d in CollectionTreeView::slotMoveTracks (this=0x8dbe900) at /usr/src/debug/amarok-2.3.2/src/browsers/CollectionTreeView.cpp:1131
#9  0xb69bb898 in CollectionTreeView::qt_metacall (this=0x8dbe900, _c=QMetaObject::InvokeMetaMethod, _id=14, _a=0xbfa0c718) at /usr/src/debug/amarok-2.3.2/build/src/CollectionTreeView.moc:118
#10 0xb59d296d in QMetaObject::metacall (object=0x8dbe900, cl=QMetaObject::InvokeMetaMethod, idx=103, argv=0xbfa0c718) at kernel/qmetaobject.cpp:237
#11 0xb59e2b1c in QMetaObject::activate (sender=0x9ab0710, m=0xb684a878, local_signal_index=1, argv=0xbfa0c718) at kernel/qobject.cpp:3272
#12 0xb5ee207d in QAction::triggered (this=0x9ab0710, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#13 0xb5ee231b in QAction::activate (this=0x9ab0710, event=QAction::Trigger) at kernel/qaction.cpp:1256
#14 0xb639b0e5 in QMenuPrivate::activateCausedStack (this=0x99b8210, causedStack=..., action=0x9ab0710, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:993
#15 0xb63a1cf7 in QMenuPrivate::activateAction (this=0x99b8210, action=0x9ab0710, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1085
#16 0xb63a2bc5 in QMenu::mouseReleaseEvent (this=0xbfa0d7ec, e=0xbfa0cf84) at widgets/qmenu.cpp:2301
#17 0xb7551c5c in KMenu::mouseReleaseEvent (this=0xbfa0d7ec, e=0xbfa0cf84) at /usr/src/debug/kdelibs-4.5.1/kdeui/widgets/kmenu.cpp:471
#18 0xb5f44360 in QWidget::event (this=0xbfa0d7ec, event=0xbfa0cf84) at kernel/qwidget.cpp:8187
#19 0xb63a30ec in QMenu::event (this=0xbfa0d7ec, e=0xbfa0cf84) at widgets/qmenu.cpp:2410
#20 0xb5ee91a4 in QApplicationPrivate::notify_helper (this=0x814c9e8, receiver=0xbfa0d7ec, e=0xbfa0cf84) at kernel/qapplication.cpp:4396
#21 0xb5ef2930 in QApplication::notify (this=0xbfa0cc9c, receiver=0xbfa0d7ec, e=0xbfa0cf84) at kernel/qapplication.cpp:3959
#22 0xb7589401 in KApplication::notify (this=0xbfa0ea0c, receiver=0xbfa0d7ec, event=0xbfa0cf84) at /usr/src/debug/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#23 0xb59cc12e in QCoreApplication::notifyInternal (this=0xbfa0ea0c, receiver=0xbfa0d7ec, event=0xbfa0cf84) at kernel/qcoreapplication.cpp:732
#24 0xb5eea24c in sendSpontaneousEvent (receiver=0xbfa0d7ec, event=0xbfa0cf84, alienWidget=0x0, nativeWidget=0xbfa0d7ec, buttonDown=0xb68662a0, lastMouseReceiver=..., spontaneous=true)
    at ../../src/corelib/kernel/qcoreapplication.h:218
#25 QApplicationPrivate::sendMouseEvent (receiver=0xbfa0d7ec, event=0xbfa0cf84, alienWidget=0x0, nativeWidget=0xbfa0d7ec, buttonDown=0xb68662a0, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:3056
#26 0xb5f75316 in QETWidget::translateMouseEvent (this=0xbfa0d7ec, event=0xbfa0d49c) at kernel/qapplication_x11.cpp:4337
#27 0xb5f742fe in QApplication::x11ProcessEvent (this=0xbfa0ea0c, event=0xbfa0d49c) at kernel/qapplication_x11.cpp:3414
#28 0xb5f9e5a0 in x11EventSourceDispatch (s=0x81514a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#29 0xb42c9b49 in g_main_dispatch (context=0x8150890) at gmain.c:1960
#30 IA__g_main_context_dispatch (context=0x8150890) at gmain.c:2513
#31 0xb42ca350 in g_main_context_iterate (context=0x8150890, block=1, dispatch=1, self=0x8153680) at gmain.c:2591
#32 0xb42ca60e in IA__g_main_context_iteration (context=0x8150890, may_block=1) at gmain.c:2654
#33 0xb59fa85b in QEventDispatcherGlib::processEvents (this=0x8062e48, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#34 0xb5f9e19a in QGuiEventDispatcherGlib::processEvents (this=0x8062e48, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0xb59cb40d in QEventLoop::processEvents (this=0xbfa0d750, flags=...) at kernel/qeventloop.cpp:149
#36 0xb59cb639 in QEventLoop::exec (this=0xbfa0d750, flags=...) at kernel/qeventloop.cpp:201
#37 0xb639eff7 in QMenu::exec (this=0xbfa0d84c, p=..., action=0x0) at widgets/qmenu.cpp:2054
#38 0xb69bae3f in CollectionTreeView::contextMenuEvent (this=0xbfa0d8ec, event=0xbfa0e1dc) at /usr/src/debug/amarok-2.3.2/src/browsers/CollectionTreeView.cpp:278
#39 0xb5f45134 in QWidget::event (this=0x8dbe900, event=0xbfa0e1dc) at kernel/qwidget.cpp:8354
#40 0xb63592c5 in QFrame::event (this=0x8dbe900, e=0xbfa0e1dc) at widgets/qframe.cpp:557
#41 0xb63ea7a1 in QAbstractScrollArea::viewportEvent (this=0x8dbe900, e=0xbfa0e1dc) at widgets/qabstractscrollarea.cpp:1043
#42 0xb6490754 in QAbstractItemView::viewportEvent (this=0x8dbe900, event=0xbfa0e1dc) at itemviews/qabstractitemview.cpp:1619
#43 0xb64dbdc6 in QTreeView::viewportEvent (this=0x8dbe900, event=0xbfa0e1dc) at itemviews/qtreeview.cpp:1256
#44 0xb63ed096 in viewportEvent (this=0x8fcfce8, o=0x8142d70, e=0xbfa0e1dc) at widgets/qabstractscrollarea_p.h:100
#45 QAbstractScrollAreaFilter::eventFilter (this=0x8fcfce8, o=0x8142d70, e=0xbfa0e1dc) at widgets/qabstractscrollarea_p.h:116
#46 0xb59cc2c6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=0x814c9e8, receiver=0x8142d70, event=0xbfa0e1dc) at kernel/qcoreapplication.cpp:847
#47 0xb5ee9174 in QApplicationPrivate::notify_helper (this=0x814c9e8, receiver=0x8142d70, e=0xbfa0e1dc) at kernel/qapplication.cpp:4392
#48 0xb5ef2188 in QApplication::notify (this=0x8142d70, receiver=0x8142d70, e=0xbfa0e1dc) at kernel/qapplication.cpp:4038
#49 0xb7589401 in KApplication::notify (this=0xbfa0ea0c, receiver=0x8142d70, event=0xbfa0e1dc) at /usr/src/debug/kdelibs-4.5.1/kdeui/kernel/kapplication.cpp:310
#50 0xb59cc12e in QCoreApplication::notifyInternal (this=0xbfa0ea0c, receiver=0x8142d70, event=0xbfa0e1dc) at kernel/qcoreapplication.cpp:732
#51 0xb5f751b9 in sendSpontaneousEvent (this=0x8fce298, event=0xbfa0e6cc) at ../../src/corelib/kernel/qcoreapplication.h:218
#52 QETWidget::translateMouseEvent (this=0x8fce298, event=0xbfa0e6cc) at kernel/qapplication_x11.cpp:4408
#53 0xb5f742fe in QApplication::x11ProcessEvent (this=0xbfa0ea0c, event=0xbfa0e6cc) at kernel/qapplication_x11.cpp:3414
#54 0xb5f9e5a0 in x11EventSourceDispatch (s=0x81514a8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#55 0xb42c9b49 in g_main_dispatch (context=0x8150890) at gmain.c:1960
#56 IA__g_main_context_dispatch (context=0x8150890) at gmain.c:2513
#57 0xb42ca350 in g_main_context_iterate (context=0x8150890, block=1, dispatch=1, self=0x8153680) at gmain.c:2591
#58 0xb42ca60e in IA__g_main_context_iteration (context=0x8150890, may_block=1) at gmain.c:2654
#59 0xb59fa85b in QEventDispatcherGlib::processEvents (this=0x8062e48, flags=...) at kernel/qeventdispatcher_glib.cpp:415
#60 0xb5f9e19a in QGuiEventDispatcherGlib::processEvents (this=0x8062e48, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#61 0xb59cb40d in QEventLoop::processEvents (this=0xbfa0e984, flags=...) at kernel/qeventloop.cpp:149
#62 0xb59cb639 in QEventLoop::exec (this=0xbfa0e984, flags=...) at kernel/qeventloop.cpp:201
#63 0xb59d0090 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1009
#64 0xb5ee6ed4 in QApplication::exec () at kernel/qapplication.cpp:3672
#65 0x0804fa73 in main (argc=2747208, argv=0xb786ebf0) at /usr/src/debug/amarok-2.3.2/src/main.cpp:237

Reported using DrKonqi
Comment 1 Mikko C. 2010-10-23 11:35:40 UTC
destination=0x0
Comment 2 Myriam Schweingruber 2010-10-31 15:09:36 UTC
*** Bug 255739 has been marked as a duplicate of this bug. ***
Comment 3 Myriam Schweingruber 2010-11-16 10:19:53 UTC
*** Bug 256626 has been marked as a duplicate of this bug. ***
Comment 4 Dario Andres 2010-11-20 17:39:49 UTC
From bug 257286:
Amarok crashes when copying files to media device (Cowon D2)
- What I was doing when the application crashed:
Amarok crashed when I clicked "copy to collection ..." after I right clicked an
mp3 album in my local collection
Comment 5 Dario Andres 2010-11-20 17:39:56 UTC
*** Bug 257286 has been marked as a duplicate of this bug. ***
Comment 6 Myriam Schweingruber 2010-11-22 19:07:30 UTC
*** Bug 256474 has been marked as a duplicate of this bug. ***
Comment 7 Myriam Schweingruber 2010-11-22 19:28:31 UTC
*** Bug 257623 has been marked as a duplicate of this bug. ***
Comment 8 Dario Andres 2010-11-22 19:41:31 UTC
[Comment from a bug triager]
From bug 257623:
-- Information about the crash:
i was trying to "Add to collection" from my Iomega external drive. Took a LONG
time to add 300+ gigs to the playlist, which had no problems. But, adding to
the collection crashed it-
Comment 9 Myriam Schweingruber 2010-11-29 18:06:10 UTC
*** Bug 258212 has been marked as a duplicate of this bug. ***
Comment 10 Mikko C. 2010-12-07 08:12:05 UTC
*** Bug 259068 has been marked as a duplicate of this bug. ***
Comment 11 Myriam Schweingruber 2010-12-14 13:27:09 UTC
Confirmed by duplicates.
Comment 12 Sergey Ivanov 2011-01-02 22:10:31 UTC
commit 257ebc1ffd9cc104f7b6da3fec595f7e6ca8e9ed
branch master
Author: Sergey Ivanov <123kash@gmail.com>
Date:   Mon Jan 3 00:09:52 2011 +0300

    Fix crash when moving tracks between collections.
    BUG: 253033

diff --git a/ChangeLog b/ChangeLog
index 2d3beba..fa1abe9 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -10,6 +10,7 @@ VERSION 2.4-Beta 2
     * Fixed some broken radio stream URLs.
 
   BUGFIXES:
+    * Fix crash when moving tracks between collections. (BR 253033)
     * Fixed issue with UMS Collection that made amarok to delete original track
       instead of newly copied one. (BR 238915)
     * Fixed issue with Audio CDs that do not provide CDDB information. Patch by
diff --git a/src/browsers/CollectionTreeView.cpp b/src/browsers/CollectionTreeView.cpp
index 74f46da..5c6afc5 100644
--- a/src/browsers/CollectionTreeView.cpp
+++ b/src/browsers/CollectionTreeView.cpp
@@ -726,7 +726,7 @@ CollectionTreeView::copyTracks( const QSet<CollectionTreeItem*> &items, Collecti
                                 bool removeSources, Transcoding::Configuration configuration ) const
 {
     DEBUG_BLOCK
-    if( !destination->isWritable() )
+    if( !destination || !destination->isWritable() )
     {
         warning() << "collection " << destination->prettyName() << " is not writable! Aborting";
         return;
@@ -1169,7 +1169,7 @@ void CollectionTreeView::slotMoveTracks()
     if( sender() )
     {
         if ( QAction * action = dynamic_cast<QAction *>( sender() ) )
-            copyTracks( m_currentItems, m_currentCopyDestination[ action ], true );
+            copyTracks( m_currentItems, m_currentMoveDestination[ action ], true );
     }
 }
Comment 13 Timothy Lanzi 2011-01-05 01:55:32 UTC
Amarok 2.4-GIT, kubuntu 10.10, iPod 2g nano. TRACK COPY TORTURE TESTING: I did ten sucessive single track copys followed by two sucessive album copys followed one sucessful artist copy then tried to do another artist copy with the resulting crash. Bug seems to be still present. Debug output and Backtrace follows:

----Debug Output

amarok: BEGIN: void CollectionTreeView::copyTracks(const QSet<CollectionTreeItem*>&, Collections::Collection*, bool, Transcoding::Configuration) const 
KCrash: Application 'amarok' crashing...
KCrash: Attempting to start /usr/lib/kde4/libexec/drkonqi from kdeinit
sock_file=/home/jim/.kde/socket-jim-laptop-0/kdeinit4__0
QSocketNotifier: Invalid socket 40 and type 'Read', disabling...


----Backtrace

Application: Amarok (amarok), signal: Segmentation fault
[Current thread is 1 (Thread 0xb64c7720 (LWP 2190))]

Thread 14 (Thread 0xb02ecb70 (LWP 2191)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b884 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:236
#2  0x0670bdf4 in __pthread_cond_timedwait (cond=0x9daff48, mutex=0x9daff30, abstime=0xb02ec310) at forward.c:152
#3  0x03798b3f in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 13 (Thread 0xafaebb70 (LWP 2192)):
#0  0x00c993e7 in __pthread_mutex_lock (mutex=0x9de78cc) at pthread_mutex_lock.c:61
#1  0x0670bf66 in pthread_mutex_lock (mutex=0x9de78cc) at forward.c:182
#2  0x01a67521 in ?? () from /lib/libglib-2.0.so.0
#3  0x01a67848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#4  0x00af559f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#5  0x00ac5609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#6  0x00ac5a8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#7  0x009c1b7e in QThread::exec() () from /usr/lib/libQtCore.so.4
#8  0x0373581a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#9  0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#10 0x00c96cc9 in start_thread (arg=0xafaebb70) at pthread_create.c:304
#11 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 12 (Thread 0xaf0ffb70 (LWP 2193)):
#0  0x0670bf4a in pthread_mutex_lock (mutex=0x9de7508) at forward.c:182
#1  0x02eaab31 in pa_mutex_lock () from /usr/lib/libpulsecommon-0.9.21.so
#2  0x0626656c in ?? () from /usr/lib/libpulse.so.0
#3  0x06252ab9 in pa_mainloop_poll () from /usr/lib/libpulse.so.0
#4  0x06254a73 in pa_mainloop_iterate () from /usr/lib/libpulse.so.0
#5  0x06254b44 in pa_mainloop_run () from /usr/lib/libpulse.so.0
#6  0x06266303 in ?? () from /usr/lib/libpulse.so.0
#7  0x02eabbd5 in ?? () from /usr/lib/libpulsecommon-0.9.21.so
#8  0x00c96cc9 in start_thread (arg=0xaf0ffb70) at pthread_create.c:304
#9  0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xaa8fdb70 (LWP 2194)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0x9e07df0, mutex=0x9e07dd8) at forward.c:139
#3  0x037aab54 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 10 (Thread 0xaa0bab70 (LWP 2195)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0x9f288a8, mutex=0x9f28890) at forward.c:139
#3  0x037aab54 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 9 (Thread 0xa96ffb70 (LWP 2196)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xaf11e838, mutex=0xaf11e820) at forward.c:139
#3  0x037aab54 in ?? () from /usr/lib/libxine.so.1
#4  0x00000000 in ?? ()

Thread 8 (Thread 0xa88aab70 (LWP 2198)):
#0  0x09a4ee36 in clock_gettime (clock_id=161820660, tp=0xa88a9f80) at ../sysdeps/unix/clock_gettime.c:100
#1  0x00a2050b in ?? () from /usr/lib/libQtCore.so.4
#2  0x00af76e5 in ?? () from /usr/lib/libQtCore.so.4
#3  0x00af772a in ?? () from /usr/lib/libQtCore.so.4
#4  0x00af57a8 in ?? () from /usr/lib/libQtCore.so.4
#5  0x00af583d in ?? () from /usr/lib/libQtCore.so.4
#6  0x01a66e6a in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x01a67279 in ?? () from /lib/libglib-2.0.so.0
#8  0x01a67848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x00af559f in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#10 0x00ac5609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#11 0x00ac5a8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#12 0x009c1b7e in QThread::exec() () from /usr/lib/libQtCore.so.4
#13 0x00aa435b in ?? () from /usr/lib/libQtCore.so.4
#14 0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#15 0x00c96cc9 in start_thread (arg=0xa88aab70) at pthread_create.c:304
#16 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa5b43b70 (LWP 2199)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xa68c740, mutex=0xa68c728) at forward.c:139
#3  0x009c59c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x0486c030 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x0486f7dc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x0486b55b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x0486f8d2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0x0486d95e in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x0486e07b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#13 0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#14 0x00c96cc9 in start_thread (arg=0xa5b43b70) at pthread_create.c:304
#15 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xa5342b70 (LWP 2200)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xa68c740, mutex=0xa68c728) at forward.c:139
#3  0x009c59c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x0486c030 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x0486f7dc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x0486b55b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x0486f8d2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#16 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#18 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#19 0x0486d95e in ?? () from /usr/lib/libthreadweaver.so.4
#20 0x0486e07b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#21 0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#22 0x00c96cc9 in start_thread (arg=0xa5342b70) at pthread_create.c:304
#23 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa4b41b70 (LWP 2201)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xa68c740, mutex=0xa68c728) at forward.c:139
#3  0x009c59c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x0486c030 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x0486f7dc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x0486b55b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x0486f8d2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x0486d95e in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x0486e07b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#11 0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#12 0x00c96cc9 in start_thread (arg=0xa4b41b70) at pthread_create.c:304
#13 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0xa4340b70 (LWP 2202)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xa68c740, mutex=0xa68c728) at forward.c:139
#3  0x009c59c7 in QWaitCondition::wait(QMutex*, unsigned long) () from /usr/lib/libQtCore.so.4
#4  0x0486c030 in ?? () from /usr/lib/libthreadweaver.so.4
#5  0x0486f7dc in ?? () from /usr/lib/libthreadweaver.so.4
#6  0x0486b55b in ?? () from /usr/lib/libthreadweaver.so.4
#7  0x0486f8d2 in ?? () from /usr/lib/libthreadweaver.so.4
#8  0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#9  0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#10 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#11 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#12 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#13 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#14 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#15 0x0486f8f1 in ?? () from /usr/lib/libthreadweaver.so.4
#16 0x0486c533 in ?? () from /usr/lib/libthreadweaver.so.4
#17 0x0486d95e in ?? () from /usr/lib/libthreadweaver.so.4
#18 0x0486e07b in ThreadWeaver::Thread::run() () from /usr/lib/libthreadweaver.so.4
#19 0x009c4df9 in ?? () from /usr/lib/libQtCore.so.4
#20 0x00c96cc9 in start_thread (arg=0xa4340b70) at pthread_create.c:304
#21 0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xa3b37b70 (LWP 2203)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0xb76e8770, mutex=0xb76e8758) at forward.c:139
#3  0xb71e03a5 in ?? () from /usr/lib/libQtWebKit.so.4
#4  0xb71e0481 in ?? () from /usr/lib/libQtWebKit.so.4
#5  0x00c96cc9 in start_thread (arg=0xa3b37b70) at pthread_create.c:304
#6  0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0xa2a05b70 (LWP 2206)):
#0  0x00962416 in __kernel_vsyscall ()
#1  0x00c9b4dc in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0x0670bd9d in __pthread_cond_wait (cond=0x356d290, mutex=0x356d278) at forward.c:139
#3  0x03469877 in ?? () from /usr/lib/libQtScript.so.4
#4  0x034698c1 in ?? () from /usr/lib/libQtScript.so.4
#5  0x00c96cc9 in start_thread (arg=0xa2a05b70) at pthread_create.c:304
#6  0x066fe69e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb64c7720 (LWP 2190)):
[KCrash Handler]
#7  0x00e067be in CollectionTreeView::copyTracks (this=0xa0a8e50, items=..., destination=0x0, removeSources=true, configuration=...) at /home/jim/kde/src/amarok/src/browsers/CollectionTreeView.cpp:729
#8  0x00e090f8 in CollectionTreeView::slotMoveTracks (this=0xa0a8e50) at /home/jim/kde/src/amarok/src/browsers/CollectionTreeView.cpp:1172
#9  0x00e09935 in CollectionTreeView::qt_metacall (this=0xa0a8e50, _c=QMetaObject::InvokeMetaMethod, _id=15, _a=0xbfd50d88) at /home/jim/kde/build/amarok/src/CollectionTreeView.moc:122
#10 0x00acc8ca in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /usr/lib/libQtCore.so.4
#11 0x00adf6ad in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#12 0x0750ef99 in QAction::triggered(bool) () from /usr/lib/libQtGui.so.4
#13 0x075108dc in QAction::activate(QAction::ActionEvent) () from /usr/lib/libQtGui.so.4
#14 0x079dc7ef in ?? () from /usr/lib/libQtGui.so.4
#15 0x079e2a4b in ?? () from /usr/lib/libQtGui.so.4
#16 0x079e35e0 in QMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libQtGui.so.4
#17 0x003e2fe5 in KMenu::mouseReleaseEvent(QMouseEvent*) () from /usr/lib/libkdeui.so.5
#18 0x07574e08 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#19 0x079e502f in QMenu::event(QEvent*) () from /usr/lib/libQtGui.so.4
#20 0x07516fdc in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#21 0x0751dc2e in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#22 0x002e868a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#23 0x00ac6b3b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#24 0x0751c094 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib/libQtGui.so.4
#25 0x075ab261 in ?? () from /usr/lib/libQtGui.so.4
#26 0x075aa151 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#27 0x075d936a in ?? () from /usr/lib/libQtGui.so.4
#28 0x01a63855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#29 0x01a67668 in ?? () from /lib/libglib-2.0.so.0
#30 0x01a67848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#31 0x00af5565 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#32 0x075d8be5 in ?? () from /usr/lib/libQtGui.so.4
#33 0x00ac5609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#34 0x00ac5a8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#35 0x079dfefe in QMenu::exec(QPoint const&, QAction*) () from /usr/lib/libQtGui.so.4
#36 0x00e04244 in CollectionTreeView::contextMenuEvent (this=0xa0a8e50, event=0xbfd52938) at /home/jim/kde/src/amarok/src/browsers/CollectionTreeView.cpp:294
#37 0x07575528 in QWidget::event(QEvent*) () from /usr/lib/libQtGui.so.4
#38 0x07996763 in QFrame::event(QEvent*) () from /usr/lib/libQtGui.so.4
#39 0x07a33a82 in QAbstractScrollArea::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#40 0x07af00f7 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib/libQtGui.so.4
#41 0x00e42072 in CollectionBrowserTreeView::viewportEvent (this=0xa0a8e50, event=0xbfd52938) at /home/jim/kde/src/amarok/src/browsers/collectionbrowser/CollectionBrowserTreeView.cpp:112
#42 0x07a364d5 in ?? () from /usr/lib/libQtGui.so.4
#43 0x00ac629a in QCoreApplicationPrivate::sendThroughObjectEventFilters(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#44 0x07516fb9 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#45 0x0751d458 in QApplication::notify(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#46 0x002e868a in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#47 0x00ac6b3b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/lib/libQtCore.so.4
#48 0x075af62e in QCoreApplication::sendSpontaneousEvent(QObject*, QEvent*) () from /usr/lib/libQtGui.so.4
#49 0x075aad7c in ?? () from /usr/lib/libQtGui.so.4
#50 0x075aa151 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib/libQtGui.so.4
#51 0x075d936a in ?? () from /usr/lib/libQtGui.so.4
#52 0x01a63855 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#53 0x01a67668 in ?? () from /lib/libglib-2.0.so.0
#54 0x01a67848 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#55 0x00af5565 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#56 0x075d8be5 in ?? () from /usr/lib/libQtGui.so.4
#57 0x00ac5609 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#58 0x00ac5a8a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/lib/libQtCore.so.4
#59 0x00aca00f in QCoreApplication::exec() () from /usr/lib/libQtCore.so.4
#60 0x07515e07 in QApplication::exec() () from /usr/lib/libQtGui.so.4
#61 0x08054063 in main (argc=2, argv=0xbfd53b64) at /home/jim/kde/src/amarok/src/main.cpp:261
Comment 14 Myriam Schweingruber 2011-01-05 11:13:44 UTC
Timothy: did you update yourAmarok before testing? Sergey did his commit on Monday only, so you really need the very latest version.
Comment 15 Timothy Lanzi 2011-01-05 12:39:41 UTC
I did this test with a fresh update over the weekend. I am willing to test again today with a fresh build if you think it is fixed.

(In reply to comment #14)
> Timothy: did you update yourAmarok before testing? Sergey did his commit on
> Monday only, so you really need the very latest version.
Comment 16 Timothy Lanzi 2011-01-06 00:14:35 UTC
Amarok 2.4-GIT-2011-1-5-11:00 GMT,kubuntu 10.10: repeated track copy torture testing with the latest build. Amarok took everything I threw at it. Copyied multiple single tracks, multiple albums and multiple artists. It all just worked. This bug appears to be resolved.
Comment 17 Myriam Schweingruber 2011-01-06 12:31:26 UTC
*** Bug 262200 has been marked as a duplicate of this bug. ***
Comment 18 Victor G.Enguita 2011-02-01 14:10:31 UTC
Created attachment 56740 [details]
New crash information added by DrKonqi

amarok (2.3.2) on KDE Platform 4.5.1 (KDE 4.5.1) using Qt 4.7.0

- What I was doing when the application crashed:

I was trying to copy music from my local collection to a multimedia device when amarok crashed.

-- Backtrace (Reduced):
#6  CollectionTreeView::copyTracks (this=0x1b4e9e0, items=..., destination=0x0, removeSources=true) at ../../src/browsers/CollectionTreeView.cpp:694
#7  0x00007f656b4f23c7 in CollectionTreeView::slotMoveTracks (this=0x1b4e9e0) at ../../src/browsers/CollectionTreeView.cpp:1131
#8  0x00007f656b4f2780 in CollectionTreeView::qt_metacall (this=0x1b4e9e0, _c=QMetaObject::InvokeMetaMethod, _id=<value optimized out>, _a=0x7fffcf73a320) at ./CollectionTreeView.moc:118
[...]
#10 0x00007f656a814852 in QAction::triggered (this=0x7fffcf739f00, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#11 0x00007f656a815f5b in QAction::activate (this=0x1fc43b0, event=<value optimized out>) at kernel/qaction.cpp:1256
Comment 19 Sergey Ivanov 2011-02-01 14:37:50 UTC
You need to update Amarok. This bug was fixed in 2.4.0.